@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400;700&display=swap');

*,
::before,
::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --bottle-green: #004d38;
    --bottle-green-dark: #002e22;
    --gold-light: #bd9b2c;
    --gold-dark: #55440d;
    --beige: #f5efe4;
    --light-gray: #f5f5f5;
    --dark-gray: #333;
}

body {
    /* background: url('img/bg-page.png'); */
    margin: 0;
    font-family: 'Arial', sans-serif;
    color: var(--dark-gray);
    background-color: var(--beige);
}

header {
    background: linear-gradient(to left, var(--bottle-green-dark), var(--bottle-green));
    color: var(--gold-light);
    padding: 1rem 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid var(--gold-dark);
}

header .logo {
    height: 3rem;
    z-index: 3;
    cursor: pointer;
}

.hamburger {
    display: none;
    background: none;
    border: none;
    font-size: 1.5rem;
    color: var(--gold-light);
    cursor: pointer;
    z-index: 3;
}

.hamburger i {
    pointer-events: none;
}

#nav-menu {
    display: flex;
    gap: 1rem;
}

header nav {
    display: flex;
    gap: 1rem;
}

header nav a {
    color: var(--gold-light);
    text-decoration: none;
    font-size: 1rem;
    transition: all 0.2s ease-in-out;
}

header nav a:hover {
    text-shadow: #bd9b2c 1px 0 10px;
}

.hero {
    position: relative;
    background: url('img/bg.jpg') no-repeat center/cover;
    min-height: 70vh;
    height: auto;
    padding-top: 6rem;
    padding-bottom: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    color: white;
    text-align: center;
    margin-bottom: 1rem;
}

.hero h1 {
    font-size: 3rem;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
}

.hero h2 {
    font-size: 1.5rem;
    margin: 1rem 0;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
}

.hero p {
    font-size: 1.2rem;
    margin: 1rem 0;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.7);
}

.hero .btn {
    background-color: var(--gold-light);
    color: white;
    padding: 0.75rem 1.5rem;
    font-size: 1rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.hero .btn:hover {
    background-color: #e5c366;
}

.section {
    margin: auto;
    max-width: 1200px;
    padding: 1rem;
    text-align: center;
}

.section h1 {
    font-size: 2rem;
    padding-bottom: 1rem;
}

.section h2 {
    padding-bottom: 1rem;
}

.section ul {
    padding-left: 2rem;
}

.tiles {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.tile {
    flex: 1;
    max-width: 200px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background-color: #fff;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.tile i {
    border: 2px solid red;
}

.tile .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(to bottom,
            var(--gold-dark),
            var(--gold-light) 50%,
            var(--gold-dark));
    font-size: 2rem;
    padding: .7rem;
    color: white;
    aspect-ratio: 1/1;
    border-radius: 100%;
    margin-bottom: 1rem;
}

.tile p {
    font-size: 16px;
    color: #333;
}

.contact-form {
    max-width: 500px;
    margin: 0 auto;
    background: white;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.contact-form input,
.contact-form textarea,
.contact-form button {
    width: 100%;
    margin-bottom: 1rem;
    padding: 0.75rem;
    border: 1px solid var(--light-gray);
    border-radius: 5px;
    font-size: 1rem;
}

.contact-form button {
    background-color: var(--bottle-green);
    color: white;
    cursor: pointer;
}

.contact-form button:hover {
    background-color: #007d5d;
}

footer {
    background: linear-gradient(to left, var(--bottle-green-dark), var(--bottle-green));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: var(--gold-light);
    padding: 2rem;
    padding-bottom: 1rem;
    gap: 2rem;
}

.footer-content {
    max-width: 1200px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 2rem;
    text-align: left;
}

.footer-section {
    display: flex;
    justify-content: center;
    flex: 1;
    min-width: 200px;
}

footer a {
    color: var(--gold-light);
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline;
}

.footer-social {
    padding-top: .3rem;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.footer-social a {
    color: var(--gold-light);
    font-size: 1.5rem;
    transition: color 0.3s ease;
}

@media (max-width: 768px) {
    header .logo {
        height: 2rem;
    }

    .hero h1 {
        font-size: 2rem;
    }

    .hero p {
        font-size: 1rem;
    }

    #nav-menu {
        display: flex;
        flex-direction: column;
        background: linear-gradient(to left, var(--bottle-green-dark), var(--bottle-green));
        position: absolute;
        z-index: 2;
        top: 0;
        right: 0;
        width: 100%;
        text-align: center;
        padding: 0;
        overflow: hidden;
        max-height: 0;
        transition: max-height 0.5s ease, padding 0.5s ease;
    }

    #nav-menu.show {
        max-height: 300px;
        padding: 4rem 0 1rem 0;
    }

    #nav-menu a {
        padding: 0.5rem 0;
        color: var(--gold-light);
        font-size: 1.2rem;
        opacity: 0;
        transform: translateY(-20px);
        transition: opacity 0.3s ease, transform 0.3s ease;
    }

    #nav-menu.show a {
        opacity: 1;
        transform: translateY(0);
    }

    .hamburger {
        display: block;
    }

    .tiles {
        flex-direction: column;
        align-items: center;
    }


    .tile {
        max-width: 350px;
    }

    .footer-content {
        flex-direction: column;
        align-items: center;
    }

    .footer p {
        text-align: center;
    }

    .footer-social {
        justify-content: center;
    }
}